/*
 * Bluetooth-frwk
 *
 * Copyright (c) 2000 - 2011 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Contact:  Hocheol Seo <hocheol.seo@samsung.com>
 *		 Girishashok Joshi <girish.joshi@samsung.com>
 *		 Chanyeol Park <chanyeol.park@samsung.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *		http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */


#ifndef _BT_GATT_CLIENT_H_
#define _BT_GATT_CLIENT_H_

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define GATT_SERV_INTERFACE		"org.bluez.GattService1"
#define GATT_CHAR_INTERFACE		"org.bluez.GattCharacteristic1"
#define GATT_DESC_INTERFACE		"org.bluez.GattDescriptor1"

#define GATT_USER_DESC_UUID		 "00002901-0000-1000-8000-00805f9b34fb"
#define GATT_CHAR_CLIENT_CONF		"00002902-0000-1000-8000-00805f9b34fb"
#define GATT_CHAR_SERVER_CONF		 "00002903-0000-1000-8000-00805f9b34fb"
#define GATT_CHAR_FORMAT		"00002904-0000-1000-8000-00805f9b34fb"

gboolean _bluetooth_gatt_check_service_change_watcher_address(
		const bluetooth_device_address_t *device_addr);

typedef struct {
	int write_fd;
	int relpy_fd;
	int mtu;
	int id;
	unsigned char UUID[16];
	} bt_gatt_characteristic_write_info_t;

typedef struct {
	int notify_fd;
	int id;
	int mtu;
	unsigned char UUID[16];
	char address[BLUETOOTH_ADDRESS_STRING_LENGTH];
} bt_gatt_characteristic_notify_info_t;



#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /*_BT_GATT_CLIENT_H_*/

