/* Bluetooth-frwk
 *
 * Copyright (c) 2000 - 2011 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Contact: Atul Kumar Rai <a.rai@samsung.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *              http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */


#ifndef _BT_HAL_AVRCP_TG_DBUS_HANDLER_H_
#define _BT_HAL_AVRCP_TG_DBUS_HANDLER_H_

#include <glib.h>
#include <sys/types.h>

#include "bt-hal.h"
#include "bt-hal-log.h"
#include "bt-hal-msg.h"

#include "bt-hal-event-receiver.h"

#ifdef __cplusplus
extern "C" {
#endif

void _bt_hal_register_avrcp_tg_dbus_handler_cb(handle_stack_msg cb);
void _bt_hal_unregister_avrcp_tg_dbus_handler_cb();

#ifdef TIZEN_BT_HAL
bt_status_t _bt_hal_dbus_handler_avrcp_tg_connect(bt_bdaddr_t *bd_addr);
bt_status_t _bt_hal_dbus_handler_avrcp_tg_disconnect(bt_bdaddr_t *bd_addr);
#endif
bt_status_t _bt_hal_dbus_handler_register_media_player(void);
bt_status_t _bt_hal_dbus_handler_unregister_media_player(void);
bt_status_t _bt_hal_dbus_handler_avrcp_tg_play_status_changed(btrc_play_status_t play_status);
bt_status_t _bt_hal_dbus_handler_avrcp_tg_play_pos_changed(uint32_t song_pos);
bt_status_t _bt_hal_dbus_handler_avrcp_tg_app_setting_changed(btrc_player_settings_t *player_setting);
bt_status_t _bt_hal_dbus_handler_avrcp_tg_set_track_info(uint8_t num_attr, btrc_element_attr_val_t *p_attrs);

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* _BT_HAL_AVRCP_TG_DBUS_HANDLER_H_ */
