/*
 * BLUETOOOTH HAL
 *
 * Copyright (c) 2015 - 2016 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Contact:  Anupam Roy <anupam.r@samsung.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *              http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef _BT_HAL_GATT_SERVER_H_
#define _BT_HAL_GATT_SERVER_H_

#include <glib.h>
#include <sys/types.h>

#include "bt-hal.h"
#include "bt-hal-log.h"
#include "bt-hal-msg.h"

#include "bt-hal-event-receiver.h"

#ifdef __cplusplus
extern "C" {
#endif

void _bt_hal_register_gatt_server_handler_cb(handle_stack_msg cb);

void _bt_hal_unregister_gatt_server_handler_cb(void);

void _bt_hal_gatt_connected_state_event(gboolean is_connected, char *address);

handle_stack_msg _bt_hal_get_gatt_event(void);

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /*_BT_HAL_GATT_SERVER_H_*/
