/*
 * Copyright (c) 2015 - 2016 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Contact:  Atul Rai <a.rai@samsung.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *		http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef _BT_SERVICE_DEVICE_INTERNAL_H_
#define _BT_SERVICE_DEVICE_INTERNAL_H_

#include <sys/types.h>
#include "bluetooth-api.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef enum {
	DEV_PROP_CONNECTED,
	DEV_PROP_NAME,
	DEV_PROP_ALIAS,
	DEV_PROP_TRUST,
	DEV_PROP_SERVICES,
} bt_device_prop_type_e;

typedef struct {
	gboolean connected;
	unsigned char type;
} bt_device_conn_info_t;

void _bt_service_add_device_to_bonded_list(bt_remote_dev_info_t *rem_info);

void _bt_update_remote_dev_property(const char *address, bt_device_prop_type_e type, void *value);

void _bt_service_remove_device_from_bonded_list(const char *address);

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* _BT_SERVICE_DEVICE_INTERNAL_H_ */
