/*
 * Bluetooth-frwk
 *
 * Copyright (c) 2015 - 2016 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Contact:  Nilesh Trimbake <t.shripati@samsung.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *              http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef __BT_SERVICE_A2DP_SINK_H__
#define __BT_SERVICE_A2DP_SINK_H__

#include "bt-service-event-receiver.h"

#ifdef __cplusplus
extern "C" {
#endif

#include <oal-manager.h>

#include <bt-service-audio-common.h>

int _bt_a2dp_connect_remote_source(bluetooth_device_address_t *device_address);

int _bt_a2dp_disconnect_remote_source(bluetooth_device_address_t *device_address);

void _bt_a2dp_sink_event_handler(int oal_event, gpointer event_data);

void _bt_a2dp_sink_handle_incoming_authorization(char *address, int service_id);

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* __BT_SERVICE_A2DP_SINK_H__ */
