/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *		http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */


#ifndef _BT_SERVICE_MAP_CLIENT_H_
#define _BT_SERVICE_MAP_CLIENT_H_

#include <glib.h>
#include <sys/types.h>
#include <gio/gio.h>
#include "bluetooth-api.h"
#include "bt-internal-types.h"

#ifdef __cplusplus
extern "C" {
#endif

#define BT_OBEX_CLIENT_AGENT_PATH "/org/obex/client_agent"

/* TODO: MAP */

typedef struct {
	int request_id;
	int result;

	char *session_path;

	char *address;

/*	int file_count;
	int file_offset;
	char **file_name_array;
	gboolean is_canceled; */

	/* TODO: MAP */

} bt_session_info_t; /* TODO: "session"? */

typedef struct {
	char *address;
	int request_id;

	/*	char **file_path;
		int file_count; */

	/* TODO: MAP */

} bt_session_data_t; /* TODO: "session"? */

int _bt_create_session_sync(
		const char* address,
		char** session_id);
int _bt_destroy_session_sync(
		const char* session_id);
int _bt_map_client_set_folder(
		const char* session_id,
		const char* name);
int _bt_map_client_list_folders(
		int request_id,
		GDBusMethodInvocation *context,
		const char* session_id,
		const char* filter_serialized);
int _bt_map_client_list_filter_fields(
		int request_id,
		GDBusMethodInvocation *context,
		const char* session_id);
int _bt_map_client_list_messages(
		int request_id,
		GDBusMethodInvocation *context,
		const char* session_id,
		const char* folder,
		const char* filter_serialized);
int _bt_map_client_update_inbox(
		const char* session_id);
int _bt_map_client_push_message(
		int request_id,
		GDBusMethodInvocation *context,
		const char* session_id,
		const char* source_file,
		const char* folder,
		const char* args_serialized);
int _bt_map_client_get_message(
		int request_id,
		GDBusMethodInvocation *context,
		const char* message_object,
		const char* target_file,
		bool attachment);

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /*_BT_SERVICE_MAP_CLIENT_H_*/
